quetz-mod_python-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From André Malo ...@perlig.de>
Subject Re: svn commit: r385992 - in /httpd/mod_python/trunk: lib/python/mod_python/__init__.py src/include/mpversion.h src/mod_python.c
Date Wed, 15 Mar 2006 08:19:04 GMT
* grahamd@apache.org wrote:

>   **
>   *    handler function for mod_include tag
> + *
> + *    The mod_include tag handler interface changed somewhere
> + *    between Apache 2.0 and Apache 2.2. Not sure what the
> + *    official way of detecting change point is, so look for
> + *    the SSI_CREATE_ERROR_BUCKET macro as indication that
> + *    new interface should be used. Provide a completely
> + *    separate implementation for now until determine whether
> + *    the SSI_CREATE_ERROR_BUCKET macro can be replicated for
> + *    backward compatibility.
>   */

mod_include was completely refactored for 2.2 and changed its external API
(and ABI) during this step. The reason was, that the API before exposed too
many internal details, which made silent refactoring impossible. At this
point it was changed to fix these mistakes and go on with the refactoring :)

Anyway. The official way to determine such changes is the module magic number
in ap_mmn.h. There's a major MMN and a minor MMN. The major MMN bumps for
backward incompatiblity and the minor number for forward compatibility
(e.g. new functions).

And there you'll find:

 * 20030821 (2.1.0-dev) bumped mod_include's entire API

You can use the macros in ap_mmn.h to determine the version of the code.

nd

Mime
View raw message